# 简化版 iPhone 快捷指令配置指南

本指南将帮助你设置一个简单的 iPhone 快捷指令，只需要发送短信内容，无需其他复杂信息。

## 前提条件

1. iPhone 上已安装"快捷指令"应用
2. SMS Forwarder 服务器已部署并运行
3. 已在 Android 设备上安装 Pushbullet 应用

## 步骤 1: 创建快捷指令

1. 打开 iPhone 上的"快捷指令"应用
2. 点击右上角的"+"创建新快捷指令
3. 点击"添加操作"

## 步骤 2: 配置快捷指令动作

### 2.1 获取短信内容

1. 搜索并添加"获取我的快捷指令的输入"动作
2. 这将获取短信内容作为输入

### 2.2 发送 HTTP 请求

1. 搜索并添加"获取 URL 内容"动作
2. 配置如下：
   - **URL**: `http://你的服务器IP:12152/notify/simple`
   - **方法**: POST
   - **请求体**: JSON
   - **标头**: 
     - `Content-Type`: `application/json`

### 2.3 配置请求体

在"获取 URL 内容"动作的请求体中，输入以下 JSON 格式：

```json
{
  "api_key": "ayNESyIW2pCQ5Ts-O8FC5t8mzhb26kbDZEr4I7PynHg",
  "content": "快捷指令输入"
}
```

**注意**:
- 将 `"快捷指令输入"` 替换为变量，方法是点击它，然后从变量列表中选择"快捷指令输入"
- API 密钥已经设置好，不需要修改

## 步骤 3: 设置自动化

1. 在快捷指令应用中，点击底部的"自动化"
2. 点击右上角的"+"创建新自动化
3. 选择"收到信息时"
4. 配置触发条件：
   - 选择"任何人"或特定联系人
   - 选择"立即运行"
5. 选择你刚创建的快捷指令

## 步骤 4: 测试

1. 保存快捷指令和自动化
2. 让朋友给你发送一条测试短信
3. 检查你的 Android 设备上的 Pushbullet 是否收到通知

## 故障排除

### 常见问题

1. **通知没有发送**
   - 确认服务器地址和端口正确 (12152)
   - 确认 API 密钥正确
   - 检查 Android 设备上的 Pushbullet 是否正常运行

2. **自动化没有触发**
   - 确认自动化已启用
   - 检查触发条件设置
   - 重启快捷指令应用

### 调试技巧

1. 在快捷指令中添加"显示通知"动作来调试
2. 使用"获取 URL 内容"的响应来检查服务器返回

## 高级选项

如果你想添加发送者信息，可以修改 JSON 为：

```json
{
  "api_key": "ayNESyIW2pCQ5Ts-O8FC5t8mzhb26kbDZEr4I7PynHg",
  "content": "快捷指令输入",
  "sender": "发送者名称"
}
```

其中 `"发送者名称"` 可以是固定文本，如 "银行短信" 或 "验证码"。
